[![npm](https://img.shields.io/npm/v/@highlight-ui/circular-progress)](https://www.npmjs.com/package/@highlight-ui/circular-progress)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design/40d648a47/v/0/p/52dd2c-circular-progress/b/55788f)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/feedback-circularprogress--default)

# @highlight-ui/circular-progress

## Installation

Using npm:

```bash
npm install @highlight-ui/circular-progress
```

Using yarn:

```bash
yarn add @highlight-ui/circular-progress
```

Using pnpm:

```bash
pnpm install @highlight-ui/circular-progress
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/circular-progress');
```

Once the package is installed, you can import the library:

```ts
import { CircularProgress } from '@highlight-ui/circular-progress';
```

## Usage

```tsx
import React, { useState } from 'react';
import { CircularProgress } from '@highlight-ui/circular-progress';

export default function CircularProgressExample() {
  return <CircularProgress percentage={50} />;
}
```

## Props 📜

| Prop         | Type         | Required | Default | Description                                       |
| :----------- | :----------- | :------- | :------ | :------------------------------------------------ |
| `percentage` | `number`     | Yes      |         | Percentage of the progress                        |
| `color`      | `ColorToken` | No       |         | Custom color token for the progress circular line |

### Custom types 🔠

| Type         | Values                                                                                  | Description               |
| :----------- | :-------------------------------------------------------------------------------------- | :------------------------ |
| `ColorToken` | ["Colors"](https://www.personio.design/40d648a47/p/489790-colours/t/75ae89) token names | Used for the `color` prop |

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/52dd2c-circular-progress/b/55788f) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
